Name: rocksndiamonds
Version: 3.2.3
Release: alt1

Summary: A boulderdash like game
Group: Games/Arcade
License: GPL
Url: http://www.artsoft.org/%name

Source: %name-%version.tar.bz2
Source10: %name.16.png
Source11: %name.32.png
Source12: %name.48.png

Patch1: rocksndiamonds-3.1.1-rw_base_directory.patch

# Automatically added by buildreq on Wed May 05 2004 (-bi)
BuildRequires: XFree86-libs libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_net-devel libsmpeg-devel

%description
Arcade style game for Unix, DOS and Windows.

A game like "Boulderdash" (C 64) or "Emerald Mine" (Amiga).
Included are many levels known from the games "Boulderdash",
"Emerald Mine", "Sokoban", "Supaplex" and "DX-Boulderdash",
level elements for "Diamond Caves II" style games
and a lot of new levels designed by other players.

Some features:
 - joystick support for Linux, FreeBSD and DOS/Windows
 - local multiplayer support for all supported platforms
 - network multiplayer support for Unix platform
 - soft scrolling with 50 frames/s
 - stereo sound effects and music
 - music module support for SDL version (Unix/Win32)
 - fullscreen support for SDL version (Unix/Win32)
 - lots of additional levels available (over 10.000)
 - complete source code included under GNU GPL


%prep
%setup -q
#%patch1 -p1

%build
%define _pkgdatadir %_gamesdatadir/%name
#%make_build -C src OPTIONS="%optflags" X11_PATH="%_x11dir" RO_GAME_DIR="%_pkgdatadir"
%make_build sdl OPTIONS="%optflags" X11_PATH="%_x11dir" RO_GAME_DIR="%_pkgdatadir"

%install
install -p -m755 -D %name %buildroot/%_gamesbindir/%name
install -p -m644 -D %name.1 %buildroot/%_mandir/man1/%name.1

mkdir -p %buildroot/%_pkgdatadir
cp -a graphics levels scores sounds music  %buildroot/%_pkgdatadir

mkdir -p %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name):command="%_gamesbindir/%name" icon="%name.png" \
  needs="x11" section="Amusement/Arcade" title="Rocks n Diamonds" \
  longtitle="%summary"
EOF

install -m644 %SOURCE10 -D %buildroot/%_miconsdir/%name.png
install -m644 %SOURCE11 -D %buildroot/%_niconsdir/%name.png
install -m644 %SOURCE12 -D %buildroot/%_liconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%_gamesbindir/*
%_pkgdatadir
%_menudir/%name
%_iconsdir/*/*/*/*.png
%doc CHANGES CREDITS HARDWARE README TODO
%_man1dir/%{name}*

%changelog
* Fri Jan 26 2007 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt1
- new version
- remove binary from tarball

* Mon Jul 17 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.0-alt1
- new version
- remove binary from tarball

* Tue Oct 11 2005 Sergey V Turchin <zerg at altlinux dot org> 3.1.1-alt1
- new version

* Wed May 05 2004 Sergey V Turchin <zerg at altlinux dot org> 3.0.8-alt1
- new version

* Wed Sep 03 2003 Sergey V Turchin <zerg at altlinux dot org> 3.0.2-alt1
- new version

* Fri Oct 25 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.1-alt1
- new version

* Tue Aug 06 2002 Sergey V Turchin <zerg@altlinux.ru> 2.0.1-alt1
- new version

* Sat May 18 2002 Sergey V Turchin <zerg@altlinux.ru> 2.0.0-alt5
- rebuild with new alsa

* Fri Aug 17 2001 Rider <rider@altlinux.ru> 2.0.0-alt4
- rebuid

* Sat Jun 09 2001 Sergey V Turchin <zerg@altlinux.ru> 2.0.0-alt3
- 2.0.0
- build with SDL

* Sun Jan 14 2001 Dmitry V. Levin <ldv@fandra.org> 1.4.0-ipl5mdk
- RE adaptions.

* Thu Oct 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-4mdk
- fix compile with gcc-2.96

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.0-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-1mdk
- first package for Linux-Mandrake
